presageDemoText.cpp File Reference
`#include "presage.h"`
`#include <getopt.h>`
`#include <iostream>`
`#include <sstream>`
Include dependency graph for presageDemoText.cpp:

Go to the source code of this file.

## Functions

void | disclaimer ()
void | parse_cmd_line_args (int argc, char **argv)
void | print_version ()
void | print_usage ()
void | print_prediction (const std::vector< std::string > &)
int | main (int argc, char **argv)
void | parse_cmd_line_args (int argc, char *argv[])

## Variables

const char | PROGRAM_NAME [] = "presage_demo_text"
std::string | config
int | suggestions = 0

## Function Documentation

## disclaimer()

void disclaimer | ( |  | ) |

Definition at line 90 of file presageDemoText.cpp.

References endl().

Referenced by main().

Here is the call graph for this function:
Here is the caller graph for this function:

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 51 of file presageDemoText.cpp.

References buffer, config, Presage::config(), Presage::context(), Presage::context_change(), disclaimer(), endl(), parse_cmd_line_args(), Presage::predict(), print_prediction(), suggestions, and LegacyPresageCallback::update().

Here is the call graph for this function:

## parse_cmd_line_args() [1/2]

void parse_cmd_line_args | ( | int | argc,
|  | char ** | argv
| ) |  |

Referenced by main().

Here is the caller graph for this function:

## parse_cmd_line_args() [2/2]

void parse_cmd_line_args | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 105 of file presageDemoText.cpp.

References config, print_usage(), print_version(), and suggestions.

Here is the call graph for this function:

## print_prediction()

void print_prediction | ( | const std::vector< std::string > & | words | ) |

Definition at line 153 of file presageDemoText.cpp.

References endl().

Referenced by main().

Here is the call graph for this function:
Here is the caller graph for this function:

## print_usage()

void print_usage | ( |  | ) |

Definition at line 171 of file presageDemoText.cpp.

References endl(), and PROGRAM_NAME.

Referenced by parse_cmd_line_args().

Here is the call graph for this function:
Here is the caller graph for this function:

## print_version()

void print_version | ( |  | ) |

Definition at line 162 of file presageDemoText.cpp.

References endl(), and PROGRAM_NAME.

Referenced by parse_cmd_line_args().

Here is the call graph for this function:
Here is the caller graph for this function:

## Variable Documentation

## config

std::string config

Definition at line 48 of file presageDemoText.cpp.

Referenced by main(), and parse_cmd_line_args().

## PROGRAM_NAME

const char PROGRAM_NAME[] = "presage_demo_text"

Definition at line 40 of file presageDemoText.cpp.

Referenced by print_usage(), and print_version().

## suggestions

int suggestions = 0

Definition at line 49 of file presageDemoText.cpp.

Referenced by main(), and parse_cmd_line_args().